Summary: library for accessing SMB password database
%define name libsmbpw
%define version 1.1
%define release 3
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.gz
Patch0: libsmbpw-1.1.prototype.fix
Url: http://www.mssl.ucl.ac.uk/~atp/comp/libsmb/
BuildRoot: /var/tmp/%{name}-buildroot/

%description

libsmbpw is a small library that provides a getpwent/putpwent/endpwent
set of routines to read and write entries in the samba encrypted password
file (smbpasswd). It is based on samba code from samba 2.0.5a, but does
not need samba to compile.

%prep
%setup
%patch0 -p1

%build
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
cp -af *.so $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cp -af *.3 $RPM_BUILD_ROOT/%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
cp -af smbpwd.h $RPM_BUILD_ROOT/%{_includedir}


%files
%defattr(-,root,root)
%{_libdir}/*
%{_includedir}/*
%doc %{_mandir}/man3/*
%doc README

%changelog
* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Mon Jan  1 2001 Charlie Brady <charlieb@e-smith.com>
- Initial
